aboutsummaryrefslogtreecommitdiff
path: root/examples/example7/example7.sh
diff options
context:
space:
mode:
authorCody Hiar <codyfh@gmail.com>2019-01-14 20:41:52 -0700
committerCody Hiar <codyfh@gmail.com>2019-01-14 20:41:52 -0700
commite1c3d2ec14c1617fc779bccfdb64b4c09bdc6525 (patch)
tree08a2c3eaa0516cb2d2f984c01721bb457222b13b /examples/example7/example7.sh
parenta69b96fe168a05792288ef2e186a86e6540f85bd (diff)
Alpha Version
Diffstat (limited to 'examples/example7/example7.sh')
-rwxr-xr-xexamples/example7/example7.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/examples/example7/example7.sh b/examples/example7/example7.sh
new file mode 100755
index 0000000..38cbbbc
--- /dev/null
+++ b/examples/example7/example7.sh
@@ -0,0 +1,18 @@
+#!/usr/bin/env bash
+# vim: set filetype=sh
+#
+# Author: Cody Hiar
+# Date: 2019-01-15
+#
+# Description: User cookiecutter to create templated docker project
+#
+# Set options:
+# e: Stop script if command fails
+# u: Stop script if unset variable is referenced
+# x: Debug, print commands as they are executed
+# o pipefail: If any command in a pipeline fails it all fails
+#
+set -exuo pipefail
+
+# Run cookiecutter
+cookiecutter https://github.com/thornycrackers/cookiecutter_docker